> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax payments

> Get all tax payments for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/taxes/taxPayments
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxes/taxPayments:
    get:
      tags:
        - Taxes
      summary: Get tax payments
      description: Get all tax payments for the authenticated user
      operationId: getTaxPayments
      parameters:
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all data.
          schema:
            type: integer
            format: int32
        - name: status
          in: query
          description: >-
            Status filter - returns all tax payments for the specified statuses.
            Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
        - name: type
          in: query
          description: >-
            Type filter - returns all tax payments for the specified types. Null
            or empty list will default to PENDING & CONFIRMED.
          schema:
            type: array
            items:
              type: string
              enum:
                - CONFIRMED
                - PENDING
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records updated after the specified date.
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSETaxPaymentDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSETaxPaymentDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/TaxPaymentDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    TaxPaymentDTOV5:
      required:
        - amount
        - bankAccountId
        - period
        - region
        - year
      type: object
      properties:
        id:
          type: integer
          description: >-
            Id of the tax payment, required when updating an existing tax
            payment
          format: int64
        status:
          type: string
          description: Status of the tax payment
          readOnly: true
          enum:
            - ACTIVE
            - INACTIVE
        reviewStatus:
          type: string
          description: Review status of the tax payment
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        userAccess:
          type: string
          description: >-
            Access level for the user. This field uses the default configuration
            for the Partner; however, it can be overridden to manipulate how a
            user can interact with this tax payment.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        accountantAccess:
          type: string
          description: >-
            Access level for the accountant. This field uses the default
            configuration for the Partner; however, it can be overridden to
            manipulate how an accountant can interact with this tax payment.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        type:
          type: string
          description: Type of the tax payment
          enum:
            - CONFIRMED
            - PENDING
        region:
          type: string
          description: Tax region of payment
          example: FED
          enum:
            - FED
            - STATE
        period:
          type: string
          description: Period of the payment
          example: Q1
          enum:
            - Q1
            - Q2
            - Q3
            - Q4
        year:
          type: integer
          description: Year for which tax payment was made
          format: int32
          example: 2020
        amount:
          type: number
          description: Total amount of the tax payment
          example: 50.01
        date:
          type: string
          description: 'Date of the tax payment '
          format: date
          example: '2021-01-04'
        description:
          type: string
          description: 'Description of the tax payment '
          example: Online Banking payment
        bankAccountId:
          type: integer
          description: id of the user's bank account
          format: int64
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiAccountName:
          type: string
          description: >-
            Display name for the bank account from which this tax payment
            originated
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        v6EntityId:
          type: string
          description: Entity id on the v6 API for this tax payment
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````